Subject: Re: [netmod] RFC 7950 on The YANG 1.1 Data Modeling Language

From: Phil Shafer <[email-masked]>
Date: Thu, 1 Sep 2016 15:31:21 -0400

[email-masked] writes:
>A new Request for Comments is now available in online RFC libraries.
>        RFC 7950
>        Title:      The YANG 1.1 Data Modeling Language 

I don't see a "changes since YANG-1.0" section.  Is this information
recorded somewhere?

Thanks,
 Phil

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 01 Sep 2016 21:39:45 +0200 (CEST)

> I don't see a "changes since YANG-1.0" section.  Is this information

See Section 1.1 (Summary of Changes from RFC 6020)

/martin

---

From: Phil Shafer <[email-masked]>
Date: Thu, 1 Sep 2016 18:07:03 -0400

>See Section 1.1 (Summary of Changes from RFC 6020)

Doh!  I was looking in the appendices.  Thanks!

Thanks,
 Phil

---

From: Phil Shafer <[email-masked]>
Date: Thu, 1 Sep 2016 18:14:52 -0400

>See Section 1.1 (Summary of Changes from RFC 6020)

I may be missing something but it says:

    o Allow "choice" as a shorthand "case" statement (see
      Section 7.9.2).

which is definitely in 6020.

Thanks,
 Phil

---

From: Per Hedeland <[email-masked]>
Date: Fri, 2 Sep 2016 00:35:28 +0200

> which is definitely in 6020.

No, it isn't:

7.9.1.  The choice's Substatements

                 +--------------+---------+-------------+
                 | substatement | section | cardinality |
                 +--------------+---------+-------------+
                 | anyxml       | 7.10    | 0..n        |
                 | case         | 7.9.2   | 0..n        |
                 | config       | 7.19.1  | 0..1        |
                 | container    | 7.5     | 0..n        |
                 | default      | 7.9.3   | 0..1        |
                 | description  | 7.19.3  | 0..1        |
                 | if-feature   | 7.18.2  | 0..n        |
                 | leaf         | 7.6     | 0..n        |
                 | leaf-list    | 7.7     | 0..n        |
                 | list         | 7.8     | 0..n        |
                 | mandatory    | 7.9.4   | 0..1        |
                 | reference    | 7.19.4  | 0..1        |
                 | status       | 7.19.2  | 0..1        |
                 | when         | 7.19.5  | 0..1        |
                 +--------------+---------+-------------+

7.9.2.  The choice's case Statement
   ...
   As a shorthand, the "case" statement can be omitted if the branch
   contains a single "anyxml", "container", "leaf", "list", or
   "leaf-list" statement.

--Per